%define ocamlname ppx_driver

Name:           ocaml-%{ocamlname}
Version:        0.10.4
Release:        1%{?dist}.emp1
Summary:        driver for AST transformers
License:        Apache-2.0
URL:            https://github.com/janestreet/%{ocamlname}
Source0:        %{ocamlname}-%{version}.tar.gz

Requires:       ocaml >= 4.04.1
Requires:	ocaml-ppx_core >= 0.10
Requires:	ocaml-ppx_core < 0.11
Requires:	ocaml-ppx_optcomp >= 0.10
Requires:	ocaml-ppx_optcomp < 0.11
Requires:	ocaml-ocaml-migrate-parsetree >= 1.0.9

BuildRequires:  opam-installer >= 2.0
BuildRequires:  jbuilder
BuildRequires:  ocaml >= 4.04.1
BuildRequires:	ocaml-ppx_core-devel >= 0.10
BuildRequires:	ocaml-ppx_core-devel < 0.11
BuildRequires:	ocaml-ppx_optcomp-devel >= 0.10
BuildRequires:	ocaml-ppx_optcomp-devel < 0.11
BuildRequires:	ocaml-ocaml-migrate-parsetree-devel >= 1.0.9

%description
A driver is an executable created from a set of OCaml AST transformers
linked together with a command line frontend.

The aim is to provide a tool that can be used to:
* easily view the pre-processed version of a file, no need to
  construct a complex command line: ppx file.ml will do
* use a single executable to run several transformations: no need to
  fork many times just for pre-processing
* improved errors for misspelled/misplaced attributes and extension
  points

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	ocaml-ppx_core-devel >= 0.10
Requires:	ocaml-ppx_core-devel < 0.11
Requires:	ocaml-ppx_optcomp-devel >= 0.10
Requires:	ocaml-ppx_optcomp-devel < 0.11
Requires:	ocaml-ocaml-migrate-parsetree-devel >= 1.0.9

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.txt
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
#%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
#%{_libdir}/ocaml/%{ocamlname}/*.mli
